Subject: bug#5984: Crash displaying composed characters

From: Chong Yidong <[email-masked]>
Date: Sun, 07 Aug 2011 15:45:29 -0400

Juanma Barranquero <[email-masked]> writes:

> (Just pinging; the workaround was installed in 23.X, I think, but the
> crash still happens in 24.0.50.)

A change to autocmp_chars in the trunk undid the workaround.  I've fixed
that.

As to the larger question of how to handle composition or redisplay
functions that modify the buffer, I still don't see any good solution.
Forbidding them from modifying buffers entirely is no good, because
fontification functions need to be able to change text properties.

I will, however, install a few additional ad-hoc fixes on the trunk to
inhibit crashes like

  (put-text-property 1 10 'display '(height (progn (delete-region 1 10))))